Configure association limits
curl --request POST \
--url https://api.hubapi.com/crm/associations/v4/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"maxToObjectIds": 123,
"typeId": 123
}
]
}
'import requests
url = "https://api.hubapi.com/crm/associations/v4/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create"
payload = { "inputs": [
{
"maxToObjectIds": 123,
"typeId": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{maxToObjectIds: 123, typeId: 123}]})
};
fetch('https://api.hubapi.com/crm/associations/v4/definitions/configurations/{fromObjectType}/{toObjectType}/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}上限
Configure association limits
Batch configure association limits between two object types.
POST
/
crm
/
associations
/
v4
/
definitions
/
configurations
/
{fromObjectType}
/
{toObjectType}
/
batch
/
create
Configure association limits
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
Show child attributes
Show child attributes
レスポンス
successful operation
The date and time when the batch operation was completed.
Show child attributes
Show child attributes
The date and time when the batch operation started.
The current status of the batch operation, which can be CANCELED, COMPLETE, PENDING, or PROCESSING.
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING A collection of URLs linking to related documentation or resources associated with the batch operation.
Show child attributes
Show child attributes
The date and time when the batch operation was requested.
最終更新日 2026年4月10日
⌘I